Loading...
Searching...
No Matches
pccc_decoder_combined_blk.h File Reference
`#include <gnuradio/block.h>`
`#include <gnuradio/trellis/api.h>`
`#include <gnuradio/trellis/calc_metric.h>`
`#include <gnuradio/trellis/fsm.h>`
`#include <gnuradio/trellis/interleaver.h>`
`#include <gnuradio/trellis/siso_type.h>`
`#include <cstdint>`
`#include <vector>`
Include dependency graph for pccc_decoder_combined_blk.h:

Go to the source code of this file.

## Classes

class | gr::trellis::pccc_decoder_combined_blk< IN_T, OUT_T >

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::trellis

## Typedefs

typedef pccc_decoder_combined_blk< float, std::uint8_t > | gr::trellis::pccc_decoder_combined_fb
typedef pccc_decoder_combined_blk< float, std::int16_t > | gr::trellis::pccc_decoder_combined_fs
typedef pccc_decoder_combined_blk< float, std::int32_t > | gr::trellis::pccc_decoder_combined_fi
typedef pccc_decoder_combined_blk< gr_complex, std::uint8_t > | gr::trellis::pccc_decoder_combined_cb
typedef pccc_decoder_combined_blk< gr_complex, std::int16_t > | gr::trellis::pccc_decoder_combined_cs
typedef pccc_decoder_combined_blk< gr_complex, std::int32_t > | gr::trellis::pccc_decoder_combined_ci